Subject: Re: bug#44823: 27.1.50; c-context-line-break misbehaves at end of comment

From: Eli Zaretskii <[email-masked]>
Date: Mon, 23 Nov 2020 19:51:50 +0200

merge 44823 43481
thanks

> Date: Mon, 23 Nov 2020 19:33:35 +0200
> From: Eli Zaretskii <[email-masked]>
> 
> To reproduce:
> 
>   emacs -Q
>   C-x C-f src/xdisp.c
>   C-u 19 M-g g
>   C-e
> 
> This should bring you to the end of this line in xdisp.c:
> 
>   along with GNU Emacs.  If not, see <https://www.gnu.org/licenses/>.  */
> 
> It is the end of a comment.  Now do this:
> 
>   M-: (local-set-key "\C-m" 'c-context-line-break) RET
> 
> Then press RET.  I expect Emacs to open a new line, indent it
> according to the context, and put point after the indentation.
> Instead, the new line is inserted _before_ the point's line, and point
> stays at the end of the comment as it was before.
> 
> This is a regression wrt Emacs 26.
> 
> I had this customization of RET in CC mode since about forever, and it
> always worked like I expected.  Until Emacs 27.1.

I see someone already reported this 2 months ago.  Merging.

> Can this be fixed for Emacs 27.2, please?

Yes, please.